﻿#language: ru

@logistic

Функционал: 020. Logistic. ТСД для склада без ячеек

Сценарий: 001.1. Logistic. Настройки подсистемы склад и доставка

	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Настройки склада и доставки'
	Тогда открылось окно 'Настройки склада и доставки'
	И я устанавливаю флаг 'Вести учет остатков на таре и местоположения тары'
	И я устанавливаю флаг "Вести учет по сменам"
	И Я закрываю окно 'Настройки склада и доставки'

Сценарий: 020.2. Logistic. Создание плана отгрузки для склада без ячеек

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'План отгрузки (создание)'
	И в поле 'Дата отгрузки' я ввожу текст '30.09.2019'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "Статус" я выбираю точное значение 'Собрано'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Вес, кг' я ввожу текст '10,00'
	И в таблице "Товары" в поле 'Мест, м3' я ввожу текст '10,00'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 020.3. Logistic. Создание плана распоряжения на перемещение с типом перемещение со склада сырная гп на Куриная ГП
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'К выполнению'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Куриная ГП'
	И из выпадающего списка "Тип перемещения" я выбираю по строке 'Перемещение'
	И я перехожу к закладке "План"
	И в таблице "ТоварыПлан" я нажимаю на кнопку с именем 'ТоварыПланДобавить'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланСерия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "ТоварыПлан" в поле с именем 'ТоварыПланКоличествоУпаковок' я ввожу текст '10,000'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланУпаковка" я выбираю по строке 'кг'
	И в таблице "ТоварыПлан" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 020.4. Logistic. Создание упаковочного листа, Меню учетных точек, проверка работы кнопок
	
	Дано я удаляю объекты "Документы.к2УпаковочныйЛист" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2ШтрихкодыУпаковокТоваров" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" из выпадающего списка "Упаковка" я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И Я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырная ГП'    |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Приемка'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Приемка'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку 'Палетирование'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Палетирование'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку '<упаковочный лист>'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку 'Перемещение между складами'
	И я нажимаю на кнопку с именем 'ВыборСкладаНазад'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Перемещение между складами'
	И я нажимаю на кнопку 'Выбор склад получатель'
	И в таблице "Список" я перехожу к строке:
		| 'Ссылка'     |
		| 'Куриная ГП' |
	И я нажимаю на кнопку 'Готово'
	И я нажимаю на кнопку 'Далее'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиКВыборуСкладов'
	И я нажимаю на кнопку 'Далее'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И я нажимаю на кнопку 'Создать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Создать'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И Я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И я нажимаю на кнопку 'Отгрузка'
	И я нажимаю на кнопку с именем 'ЗаданияПерейтиВОсновноеМеню'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Отгрузка'
	И я нажимаю на кнопку 'Обновить'
	И я нажимаю на кнопку 'Вверх'
	И я нажимаю на кнопку 'Вниз'
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку с именем 'СканированиеНазад'
	И я нажимаю на кнопку 'Выбрать'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	Когда я нажимаю на кнопку 'План/факт'
	И я нажимаю на кнопку с именем 'ПланФактНазад'
	И я нажимаю на кнопку 'Состав'
	И я нажимаю на кнопку 'Удалить строку'
	И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаОК'
	И Я закрываю окно ''
	И я нажимаю на кнопку 'КомандаДа'
	И Я закрываю окно '[Администратор]: Меню учетных точек'

Сценарий: 020.5. Logistic. Завершение

	И Я закрыл все окна клиентского приложения	